from os import listdir
from random import choice

conttype_lookup = {"jpg": "image/jpeg",
                   "jpeg": "image/jpeg",
                   "png": "image/png",
                   "gif": "image/gif"}

def content_type(filename):
    return conttype_lookup[filename[filename.rfind(".")+1:].lower()]

def isimage(filename):
    """true if the filename's extension is in the content-type lookup"""
    filename = filename.lower()
    return filename[filename.rfind(".")+1:] in conttype_lookup

def random_file(dir):
    """returns the filename of a randomly chosen image in dir"""
    images = [f for f in listdir(dir) if isimage(f)]
    return choice(images)

if __name__ == "__main__":
    dir = "c:\\code\\python\\_howtopython\\01_random_img\\"
    r = random_file(dir)
    print "Content-type: %s\n" % (content_type(r))
    print file(dir+r, "rb").read()